| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Memory
.NET (C# / VB) » Controller

Manage controller memory, such as program and arrays. More...

## Functions
void | gclib.GArrayDownload (string array_name, ref List< double > data, Int16 first=-1, Int16 last=-1)
| Downloads array data to a pre-dimensioned array in the controller's array table.
void | gclib.GArrayDownloadFile (string Path)
| Allows downloading of a program array file to the controller.
List< double > | gclib.GArrayUpload (string array_name, Int16 first=-1, Int16 last=-1)
| Uploads array data from the controller's array table.
void | gclib.GArrayUploadFile (string Path, string Names)
| Allows uploading of a program array file from the controller to an array CSV file.
void | gclib.GFirmwareDownload (string filepath)
| Upgrade firmware.
void | gclib.GProgramDownload (string program, string preprocessor="")
| Allows downloading of a DMC program from a string buffer.
void | gclib.GProgramDownloadFile (string file_path, string preprocessor="")
| Allows downloading of a DMC program from file.
string | gclib.GProgramUpload ()
| Allows uploading of a DMC program to a string.
void | gclib.GProgramUploadFile (string file_path)
| Allows uploading of a DMC program to a file.
string[] | gclib.GSetupDownloadFile (string path, Int32 options)
| Allows downloading of a Galil compressed backup (gcb) file to the controller.

## Detailed Description

Manage controller memory, such as program and arrays.

## Function Documentation

## ◆ GArrayDownload()

void gclib.GArrayDownload | ( | string | array_name,
|  | ref List< double > | data,
|  | Int16 | first = -1,
|  | Int16 | last = -1 )
| inline

Downloads array data to a pre-dimensioned array in the controller's array table.

Parameters

  array_name | String containing the name of the array to download. Must match the array name used in DM.
  data | A list of doubles, to be downloaded.
  first | The first element of the array for sub-array downloads.
  last | The last element of the array for sub-array downloads.

Wrapper around gclib GArrayDownload(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#a6ea5ae6d167675e4c27ccfaf2f240f8a The array must already exist on the controller, see DM and LA.

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 104 of file gclib.cs.

## ◆ GArrayDownloadFile()

void gclib.GArrayDownloadFile | ( | string | Path | ) |
| inline

Allows downloading of a program array file to the controller.

Parameters

  Path | The full filepath of the array csv file.

Wrapper around gclib GArrayDownload(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclibo_8h.html#a14b448ab8c7e6cf495865af301be398e

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 132 of file gclib.cs.

## ◆ GArrayUpload()

List< double > gclib.GArrayUpload | ( | string | array_name,
|  | Int16 | first = -1,
|  | Int16 | last = -1 )
| inline

Uploads array data from the controller's array table.

Parameters

  array_name | String containing the name of the array to upload.
  first | The first element of the array for sub-array uploads.
  last | The last element of the array for sub-array uploads.

Returns
  The desired array as a list of doubles.

Wrapper around gclib GArrayUpload(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#af215806ec26ba06ed3f174ebeeafa7a7

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 153 of file gclib.cs.

## ◆ GArrayUploadFile()

void gclib.GArrayUploadFile | ( | string | Path,
|  | string | Names )
| inline

Allows uploading of a program array file from the controller to an array CSV file.

Parameters

  Path | The full filepath of the array csv file to save.
  Names | A space separated list of the array names to upload. A null string uploads all arrays in the array table (LA).

Wrapper around gclib GArrayUpload(). http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#af215806ec26ba06ed3f174ebeeafa7a7

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 187 of file gclib.cs.

## ◆ GFirmwareDownload()

void gclib.GFirmwareDownload | ( | string | filepath | ) |
| inline

Upgrade firmware.

Parameters

  filepath | The full filepath of the firmware hex file.

Wrapper around gclib GFirmwareDownload(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#a1878a2285ff17897fa4fb20182ba6fdf

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 318 of file gclib.cs.

## ◆ GProgramDownload()

void gclib.GProgramDownload | ( | string | program,
|  | string | preprocessor = "" )
| inline

Allows downloading of a DMC program from a string buffer.

Parameters

  program | The program to download.
  preprocessor | Preprocessor directives. Use nullstring for none.

Wrapper around gclib GProgramDownload(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#acafe19b2dd0537ff458e3c8afe3acfeb

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 460 of file gclib.cs.

## ◆ GProgramDownloadFile()

void gclib.GProgramDownloadFile | ( | string | file_path,
|  | string | preprocessor = "" )
| inline

Allows downloading of a DMC program from file.

Parameters

  file_path | The full filepath of the DMC file.
  preprocessor | Preprocessor directives. Use nullstring for none.

Wrapper around gclib GProgramDownloadFile(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclibo_8h.html#a8e44e2e321df9e7b8c538bf2d640633f

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 479 of file gclib.cs.

## ◆ GProgramUpload()

string gclib.GProgramUpload | ( |  | ) |
| inline

Allows uploading of a DMC program to a string.

Wrapper around gclib GProgramUpload(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#a80a653ce387a2bd16bde2793c6de77e9

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 496 of file gclib.cs.

## ◆ GProgramUploadFile()

void gclib.GProgramUploadFile | ( | string | file_path | ) |
| inline

Allows uploading of a DMC program to a file.

Parameters

  file_path | The full filepath of the DMC file to save.

Wrapper around gclib GProgramUploadFile(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclibo_8h.html#a38c5565afc11762fa19d37fbaa3c9aa3

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 518 of file gclib.cs.

## ◆ GSetupDownloadFile()

string[] gclib.GSetupDownloadFile | ( | string | path,
|  | Int32 | options )
| inline

Allows downloading of a Galil compressed backup (gcb) file to the controller.

Parameters

  path | The full filepath of the gcb file.
  options | A bit mask indicating which sectors of the gcb file to restore to the controller.

Returns
  The controller information stored in the gcb file.

Wrapper around gclib GSetupDownloadFile(),

If options is specified as 0, the return string will have a number appended corresponding to a bit mask of the available gcb sectors

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 658 of file gclib.cs.